
Redmine - Feature #4137

Use Gravatar ident icons instead of default "G" icon

2009-10-29 14:02 - Sebastian M.

Status: Closed Start date: 2009-10-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I suggest to display  Gravatar's ident icons instaed of the default icon when a user has no picture uploaded. Each user gets his very

own unique icon automatically calculated by his email adress! This can be done very simple by adding a single parameter to the

gravatar url!

Please read here: http://blog.gravatar.com/2008/04/22/identicons-monsterids-and-wavatars-oh-my/

Related issues:

Related to Redmine - Patch #2734: Use wavatar as a default for gravatar images Closed 2009-02-12

History

#1 - 2009-10-29 14:12 - Sebastian M.

This can customize this right now by changing the following line in gravatar.rb:

Change

:default => nil, to :default => 'identicon',

But I think it may be a good idead to turn this on by default.

#2 - 2009-10-29 14:21 - Nanda P

Nice find, Thanks Sebastian!

#3 - 2009-10-29 15:38 - Felix Schäfer

See #2734 for a patch to get the option in the Administrator section.

#4 - 2009-10-30 08:34 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate
